# AdSense Management API . accounts . reports . saved

## Instance Methods

Generate an AdSense report based on the saved report ID sent in the query parameters.

List all saved reports in the specified AdSense account.

Retrieves the next page of results.

### Method Details

`generate(accountId, savedReportId, locale=None, maxResults=None, startIndex=None)`

    Generate an AdSense report based on the saved report ID sent in the query parameters.

    Args:
      accountId: string, Account to which the saved reports belong. (required)
      savedReportId: string, The saved report to retrieve. (required)
      locale: string, Optional locale to use for translating report output to a local language. Defaults to "en_US" if not specified.
      maxResults: integer, The maximum number of rows of report data to return.
      startIndex: integer, Index of the first row of report data to return.

    Returns:
      An object of the form:

        {
        "startDate": "A String", # The requested start date in yyyy-mm-dd format.
        "kind": "adsense#report", # Kind this is, in this case adsense#report.
        "rows": [ # The output rows of the report. Each row is a list of cells; one for each dimension in the request, followed by one for each metric in the request. The dimension cells contain strings, and the metric cells contain numbers.
          [
            "A String",
          ],
        ],
        "endDate": "A String", # The requested end date in yyyy-mm-dd format.
        "warnings": [ # Any warnings associated with generation of the report.
          "A String",
        ],
        "totals": [ # The totals of the report. This is the same length as any other row in the report; cells corresponding to dimension columns are empty.
          "A String",
        ],
        "headers": [ # The header information of the columns requested in the report. This is a list of headers; one for each dimension in the request, followed by one for each metric in the request.
          {
            "currency": "A String", # The currency of this column. Only present if the header type is METRIC_CURRENCY.
            "type": "A String", # The type of the header; one of DIMENSION, METRIC_TALLY, METRIC_RATIO, or METRIC_CURRENCY.
            "name": "A String", # The name of the header.
          },
        ],
        "totalMatchedRows": "A String", # The total number of rows matched by the report request. Fewer rows may be returned in the response due to being limited by the row count requested or the report row limit.
        "averages": [ # The averages of the report. This is the same length as any other row in the report; cells corresponding to dimension columns are empty.
          "A String",
        ],
      }

`list(accountId, pageToken=None, maxResults=None)`

    List all saved reports in the specified AdSense account.

    Args:
      accountId: string, Account to which the saved reports belong. (required)
      pageToken: string, A continuation token, used to page through saved reports. To retrieve the next page, set this parameter to the value of "nextPageToken" from the previous response.
      maxResults: integer, The maximum number of saved reports to include in the response, used for paging.

    Returns:
      An object of the form:

        {
        "nextPageToken": "A String", # Continuation token used to page through saved reports. To retrieve the next page of results, set the next request's "pageToken" value to this.
        "items": [ # The saved reports returned in this list response.
          {
            "kind": "adsense#savedReport", # Kind of resource this is, in this case adsense#savedReport.
            "id": "A String", # Unique identifier of this saved report.
            "name": "A String", # This saved report's name.
          },
        ],
        "kind": "adsense#savedReports", # Kind of list this is, in this case adsense#savedReports.
        "etag": "A String", # ETag of this response for caching purposes.
      }

`list_next(previous_request, previous_response)`

    Retrieves the next page of results.

    Args:
      previous_request: The request for the previous page. (required)
      previous_response: The response from the request for the previous page. (required)

    Returns:
      A request object that you can call 'execute()' on to request the next
      page. Returns None if there are no more items in the collection.